#if !defined(_790SCARD_H_)
#define _790SCARD_H_
/*================================================Version descript=================================================
----------------------------------------------------------------------------
> Date			:	2018-10-31
> descript		:	

> editer		:	singstorm
> version		:	V1.0.0
----------------------------------------------------------------------------
===========================================================================================================*/
#include <windows.h>
#include <winscard.h>

#define DLL_API __declspec(dllimport)
// #pragma comment(lib,"E:\\FEIWork\\Product\\FEI790\\Demo\\Sumo-II_M1_Driver\\Release\\Sumo-II_M1_Driver.lib")

typedef struct
{
	unsigned char    Command[4];
	unsigned char    Lc;
	unsigned char    DataIn[384];
	unsigned char    Le;
} G_APDU_COMM;

typedef struct
{
	unsigned int	LengthOut;
	unsigned char	DataOut[384];
	unsigned char 	SW1;
	unsigned char 	SW2;

} G_APDU_RESP;
extern "C" {

	DLL_API	void  _stdcall GetDriverVerion(char *DllVersion);

	DLL_API	void _stdcall  EnableLOG(BOOL Switch);

	//-----------------------------------------Base Funciton-------------------------------------------
	DLL_API	int  _stdcall M1_OpenReader(char *mReaderName, UINT *BuffSize);

	DLL_API	int  _stdcall M1_SCardGetStatus(DWORD *dwSCardStatus);

	DLL_API	int  _stdcall M1_SCardGetAttrb(DWORD dwAttrId, unsigned char *pbAttr, DWORD *cByte);

	DLL_API	int  _stdcall M1_SCardConnect(int nShareMode, DWORD dwPreferredProtocols, int *ATRLen, unsigned char *ATRData, DWORD *dwActiveProtocol);

	DLL_API	int  _stdcall M1_SCardDisconnect(int nCloseMode);

	DLL_API	void  _stdcall M1_ReaderClose(void);

	//-----------------------------------------APDU Exchange Function-------------------------------------------
	DLL_API	int  _stdcall M1_Exchange_APDU(G_APDU_COMM *ApduComm, G_APDU_RESP *ApduResp);

	DLL_API	int  _stdcall M1_Exchange_APDUEx(int ApduCommLen, unsigned char *ApduComm, int *ApduRespLen, unsigned char *ApduResp);
}
#endif